#if defined _grenade_manager_included
  #endinput
#endif
#define _grenade_manager_included

/**
	*  Called when player wants to drop a grenade
	*
	*  @param id               PlayerIndex
	*  @param weaponClassName  Grenade classname
	*  @param weaponEntity     Grenade entity index that will be packed into the box
	*  @param weaponBoxEntity  Weapon box entity that will hold the grenade entity
	*  @param userBackpackAmmo Ammout of grenades that player has in his inventory(after packed it will be num - 1)
	
	*  @note	Return PLUGIN_HANDLED or any value bigger than 1 to stop the forward.
			This also stop the grenade drop and default "This weapon cannot be dropped" message appears.
*/
forward OnGrenadeDrop(id, weaponClassName[], weaponEntity, weaponBoxEntity, userBackpackAmmo)